@import "../Variables";

.timeline {

  .timeline-title {
    &:before {
      content: '01.';
      margin-right: .5em;
      font-size: 16px;
      color: var(--clr-pink);
    }
  }

  .timeline-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    position: relative;

    margin-top: 2em;

    .timeline-line {
      display: flex;
      flex: 0 0 100%;
      list-style-type: none;
      width: 100%;
      overflow-x: auto;

      .timeline-line_element {
        display: flex;
        flex: 1 1 50%;
        align-items: center;
        justify-content: center;

        min-height: 42px;
        min-width: 200px;
        padding: 1em 2em;

        font-weight: 500;
        color: #DEDEDE;

        cursor: pointer;
        border-bottom: 2px solid var(--clr-lightgrey);
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);

        &.timeline-line_element--active {
          color: var(--clr-pink);
          border-bottom: 2px solid var(--clr-pink);
        }
      }
    }

    .timeline-info {
      flex: 0 0 100%;
      margin-top: 2em;

      .timeline-info_title {
        font-weight: 600;

        .timeline-info_title--name{
          color: var(--clr-pink);
        }
      }

      .timeline-info__period {
        margin-top: .2em;

        font-size: 12px;
        color: var(--clr-pink);
        opacity: .75;
      }

      .timeline-info__list {
        list-style-type: none;
        margin-top: 1em;

        .timeline-info__list_element {
          position: relative;
          font-size: 16px;
          margin-bottom: 1em;
          padding-left: 25px;

          &:before {
            content: "▹";
            position: absolute;
            left: 0;
            color: var(--clr-pink);
          }
        }
      }
    }
  }
}
